Subject: Re: [6tisch] [Suit] Fwd: Firmware Update Paper

From: Michael Richardson <[email-masked]>
Date: Wed, 04 Dec 2019 14:00:50 -0500

Szymon Słupik <[email-masked]> wrote:
    > [SS] yeah... that 35kB is a bit unrealistic... for production stacks
    > (including application functionality) we see the FW sizes (uncompressed) to
    > be in 200kB range. But I take it the times scale linearly, so for 200kB the
    > transfer time would be about 1 minute. Have you considered the link
    > saturation during the transfer? In many cases you do not want the transfer to
    > [significantly] affect the operation of the network, so a strategy to reduce
    > the transfer duty cycle may be prudent.

I also agree with your question, and with the need to do the updates at a
lower priority.  6tisch has a whole bunch of mechanism here.

It occurs to me now that the development of an update protocol over 802.15.4
(which I mentioned in another email in this thread) might be appropriately
done in the 6tisch WG, since I actually think that the bandwidth and
scheduling of the update is probably the critical part.
SUIT has the security done... so we have the HOW.  We just have the WHEN.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-